API Reference

Profile

Store profile and business details.

2 endpoints· Auth: API Key
get/api/v1/store/integrations/profile API Key

Get profile

Responses

200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/profile" \
  -H "X-API-Key: <YOUR_API_KEY>"
Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
put/api/v1/store/integrations/profile API Key

Update profile

Request body

application/json
{
  "name": "string",
  "phone": "string",
  "address": "string",
  "lat": 0,
  "lng": 0
}
name
string
phone
string
address
string
lat
number (double)
lng
number (double)

Responses

200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/profile" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "phone": "string",
  "address": "string",
  "lat": 0,
  "lng": 0
}'
Try itagainst staging · https://stagging-api.sendyiq.com

Request body (JSON)

Set credentials in the “Authorize” menu